import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-11 17:00
 */
export interface StcIeUser {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 代码
    * @type { string }
    */
    code?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 性别：0-未知, 1-男, 2-女
    * @type { number }
    */
    sex?: number;
    /**
    * 员工昵称
    * @type { string }
    */
    nickname?: string;
    /**
    * 员工头像url
    * @type { string }
    */
    avatar?: string;
    /**
    * 手机号
    * @type { string }
    */
    telephone?: string;
    /**
    * 身份证号
    * @type { string }
    */
    identityNo?: string;
    /**
    * 生日
    * @type { string }
    */
    birthDay?: string;
    /**
    * 密码
    * @type { string }
    */
    password?: string;
    /**
    * 电子邮件
    * @type { string }
    */
    email?: string;
    /**
    * 业务状态：0-正常，1-关闭
    * @type { number }
    */
    bizStatus?: number;
    /**
    *
    * @type { string }
    */
    createUserId?: string;
    /**
    *
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
}
export declare class StcIeUserMI {
    static get ID(): FieldInfo;
    static get CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get SEX(): FieldInfo;
    static get NICKNAME(): FieldInfo;
    static get AVATAR(): FieldInfo;
    static get TELEPHONE(): FieldInfo;
    static get IDENTITY_NO(): FieldInfo;
    static get BIRTH_DAY(): FieldInfo;
    static get PASSWORD(): FieldInfo;
    static get EMAIL(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-11 17:00
 */
export interface StcIeUserPlate {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 用户id
    * @type { string }
    */
    userId?: string;
    /**
    * 车牌号
    * @type { string }
    */
    plateNo?: string;
    /**
    * 默认：0-非默认车牌，1-默认车牌
    * @type { number }
    */
    plateDefault?: number;
    /**
    * 业务状态：0-正常，1-关闭
    * @type { number }
    */
    bizStatus?: number;
    /**
    *
    * @type { string }
    */
    createUserId?: string;
    /**
    *
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
}
export declare class StcIeUserPlateMI {
    static get ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get PLATE_NO(): FieldInfo;
    static get PLATE_DEFAULT(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
}
